Name:           python-nvitop
Version:        1.4.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An interactive NVIDIA-GPU process viewer and beyond, the one-stop solution for GPU process management.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/XuehaiPan/nvitop
Source:         %{pypi_source nvitop}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'nvitop' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-nvitop
Summary:        %{summary}

%description -n python3-nvitop %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-nvitop cuda10,lint,pynvml-11-450-129,pynvml-11-450-51,pynvml-11-460-79,pynvml-11-470-66,pynvml-11-495-46,pynvml-11-510-69,pynvml-11-515-48,pynvml-11-515-75,pynvml-11-525-112,pynvml-11-525-131,pynvml-11-525-150,pynvml-11-525-84,pynvml-12-535-108,pynvml-12-535-133,pynvml-12-535-161,pynvml-12-535-77,pynvml-12-550-52,pynvml-12-550-89,pynvml-12-555-43,pynvml-12-560-30,pynvml-12-570-86


%prep
%autosetup -p1 -n nvitop-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x cuda10,lint,pynvml-11-450-129,pynvml-11-450-51,pynvml-11-460-79,pynvml-11-470-66,pynvml-11-495-46,pynvml-11-510-69,pynvml-11-515-48,pynvml-11-515-75,pynvml-11-525-112,pynvml-11-525-131,pynvml-11-525-150,pynvml-11-525-84,pynvml-12-535-108,pynvml-12-535-133,pynvml-12-535-161,pynvml-12-535-77,pynvml-12-550-52,pynvml-12-550-89,pynvml-12-555-43,pynvml-12-560-30,pynvml-12-570-86


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-nvitop -f %{pyproject_files}


%changelog
%autochangelog